apiVersion: v1
kind: Secret
metadata:
    name: elasticsearch-secret
type: Opaque
data:
    elastic-secret: Y2hhbmdlbWU=
---
apiVersion: apps/v1
kind: Deployment
metadata:
  name: elasticsearch-deployment
spec:
  replicas: 1
  selector:
    matchLabels:
      component: elasticsearch
  template:
    metadata:
      labels:
        component: elasticsearch
    spec:
      containers:
      - name: elasticsearch
        image: registry.gitlab.com/thomas.chatel/onmytrip/elasticsearch
        imagePullPolicy: Always
        ports:
        - containerPort: 9200
        env:
        - name: ES_JAVA_OPTS
          value: -Xmx256m -Xms256m
        - name: ELASTIC_PASSWORD
          valueFrom:
            secretKeyRef:
              name: elasticsearch-secret
              key: elastic-secret
---
apiVersion: v1
kind: Service
metadata:
  name: elasticsearch-master
spec:
  selector:
    component: elasticsearch
  type: ClusterIP
  ports:
    - protocol: TCP
      port: 9200
      targetPort: 9200